GIT-FEATURE(1)

NAME
git-feature - Create/Merge feature branch

SYNOPSIS

DESCRIPTION
Create or merge the given feature branch. The feature branch name is made from the PREFIX, the SEPARATOR, and the NAME joined together.

The default PREFIX is feature and SEPARATOR is /, which can be changed (see OPTIONS and GIT CONFIG for details).

The branch NAME may be specified as multiple words which will be joined with -. If the branch name contains the word finish or is another OPTION, -- should be passed to stop OPTION parsing. See the EXAMPLES for details.

OPTIONS

-a PREFIX, --alias PREFIX:

-s SEPARATOR, --separator SEPARATOR:

-r [REMOTE_NAME], --remote [REMOTE_NAME]:

--from START_POINT:

finish:

--squash:

NAME:

GIT CONFIG
You can configure the default branch prefix and separator via git config options.

git-extras.feature.prefix:

git-extras.feature.separator:

EXAMPLES

Start a new feature:

Finish a feature with --no-ff merge:

Finish a feature with --squash merge:

Publish a feature upstream:

Use custom branch prefix:

Use custom branch separator:

Use custom branch prefix and separator from git config with multiple words:

Use a git-feature option or the finish command as part of a branch name:

AUTHOR
Written by Jesús Espino <jespinog@gmail.com>
Modified by Mark Pitman <mark.pitman@gmail.com>
Modified by Carlos Prado <carlos.prado@cpradog.com>
Modified by Austin Ziegler <halostatue@gmail.com>

REPORTING BUGS
<https://github.com/tj/git-extras/issues>

SEE ALSO
<https://github.com/tj/git-extras>, git-create-branch(1), git-delete-branch(1)